/**
 * progressBarsOptions.js
 * Copyright (C) 2008-2011 Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

org.mozdev.popomungo.progressBarsOptions = {
	
	onLoad: function progressBarsOptionsOnLoad() {
		try {
			this.showProgressBarsOnCommand();
		}
		catch (err) {
			org.mozdev.popomungo.logger.logError(err);
		}
		
		return true;
	},
	
	showProgressBarsOnCommand:
	function showProgressBarsOnCommand() {
		var cb = document.getElementById('character.showProgressBarValues.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		document.getElementById('progressBars.font.size.radiogroup').disabled = disabled;
		document.getElementById('progressBars.font.weight.radiogroup').disabled = disabled;
		
		return true;
	}
	
};

org.mozdev.popomungo.logger.log("org.mozdev.popomungo.progressBarsOptions loaded");

// EOF