/**
 * commonConstants.js
 * Copyright (C) 2007-2011 Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

org.mozdev.popomungo.classes.CommonConstants = function CommonConstants() {
	// void
};

org.mozdev.popomungo.classes.CommonConstants.prototype = {
	INFO_ICON_URL: 'chrome://popomungo/skin/icons/silk/information.png',
	WARNING_ICON_URL: 'chrome://popomungo/skin/icons/silk/error.png',
	ALARM_ICON_URL: 'chrome://popomungo/skin/icons/silk/exclamation.png',

	GAME_HOMEPAGE: 'http://www.popmundo.com/',
	EXTENSION_HOMEPAGE: 'http://popomungo.mozdev.org/',
	
	GUID: '{9935ef86-61cd-4f48-a057-ab2c5172031d}',
	POPMUNDO_DOMAIN_REGEXP: /\.(popmundo|popomundo)\.com/i
};

org.mozdev.popomungo.commonConstants = new org.mozdev.popomungo.classes.CommonConstants();

// EOF